%function navesf

%---------------------------------------------
clear all
global lA LA lB LB R0 Rf dist vel temp %datos e incgnitas
global lA2 LA2 lB2 LB2 R02 Rf2 dist2 vel2 temp2 %datos e incgnitas

%============ Figura ==================================
figNumber=figure( ...
      'Name','Navegacin Esfrica', ...
      'Units','normalized', ...
      'Position',[0.05,0.1,0.8,0.8], ...
      'NumberTitle','off');
acerca={ 'Navegacin esfrica',...
      'ngel Ars','2009 Corua (Spain)'};
uimenu('label','Acerca de ...','callback','helpdlg(acerca)');
set(gcf,'color',[0.8 0.8 0.8]);

dx=100; %parmetros de posicin
dy=20;
x0=20;
y0=500;

lA=0;LA=0;lB=0;LB=0;dist=0;vel=0;temp=0;R0=0;Rf=0; %datos 

handles.hlA=zeros(1,7);handles.hLA=zeros(1,7);handles.hlB=zeros(1,7);handles.hLB=zeros(1,7);
handles.hR0=zeros(1,9);handles.hRf=zeros(1,9);handles.hdist=zeros(1,3);handles.hvel=zeros(1,3);handles.htemp=zeros(1,5);
handles.hgrf=zeros(1,2);%increible, hubo que darle una columna extra para que registre el cambio de estado del checkbox
handles.herr=zeros(1,2);%increible tambin, hubo que hacer lo mismo para que escriba los cambios del string
handles.hcont=zeros(1,2);%increible tambin, hubo que hacer lo mismo para que escriba los cambios del string
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%Check Boxes
%handles.hgrf(1)=uicontrol('Style', 'checkbox', 'String','grafico', 'Position', [x0,y0+dy,dx,dy],'Callback',...
%    'load(''navesf_dat'',''handles'');save(''navesf_dat'',''handles'',''-append'')');

handles.hlA(1)=uicontrol('Style', 'checkbox', 'String','Latitud A', 'Position', [x0, y0,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.hlA(3:6));save(''navesf_dat'',''handles'',''-append'')');
handles.hLA(1)=uicontrol('Style', 'checkbox', 'String','Longitud A', 'Position', [x0, y0-5*dy,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.hLA(3:6));save(''navesf_dat'',''handles'',''-append'')');
handles.hR0(1)=uicontrol('Style', 'checkbox', 'String','Rumbo inicial','Position', [x0+2.5*dx, y0,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.hR0(6:9));save(''navesf_dat'',''handles'',''-append'')');
handles.hdist(1)=uicontrol('Style', 'checkbox', 'String','Distancia','Position', [x0+4.5*dx, y0,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.hdist(3));save(''navesf_dat'',''handles'',''-append'')');
handles.htemp(1)=uicontrol('Style', 'checkbox', 'String','Tiempo','Position', [x0+4.5*dx, y0-5*dy,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.htemp(2:5));save(''navesf_dat'',''handles'',''-append'')');
handles.hvel(1)=uicontrol('Style', 'checkbox', 'String','Velocidad','Position', [x0+4.5*dx, y0-10*dy,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.hvel(3));save(''navesf_dat'',''handles'',''-append'')');
handles.hRf(1)=uicontrol('Style', 'checkbox', 'String','Rumbo final','Position', [x0+6.5*dx, y0,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.hRf(6:9));save(''navesf_dat'',''handles'',''-append'')');
handles.hlB(1)=uicontrol('Style', 'checkbox', 'String','Latitud B','Position', [x0+8.5*dx, y0,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.hlB(3:6));save(''navesf_dat'',''handles'',''-append'')');
handles.hLB(1)=uicontrol('Style', 'checkbox', 'String','Longitud B','Position', [x0+8.5*dx, y0-5*dy,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuienable(handles.hLB(3:6));save(''navesf_dat'',''handles'',''-append'')');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%Pop-ups

handles.hlA(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''','Position', [x0, y0-dy,dx,dy],...
    'Callback','load(''navesf_dat'',''handles'');neuipopup(abs(lA),handles.hlA(2:6));save(''navesf_dat'',''handles'',''-append'')');
handles.hlA(7) = uicontrol('Style', 'popup', 'String', 'N|S','Position', [x0+1.2*dx, y0-2.5*dy,0.5*dx,dy],...
    'Callback','load(''navesf_dat'',''handles'');lA=cambiahemisferio(lA,handles.hlA(7));save(''navesf_dat'',''handles'',''-append'')');

   
handles.hLA(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''','Position', [x0, y0-6*dy,dx,dy],...
    'Callback','load(''navesf_dat'',''handles'');neuipopup(abs(LA),handles.hLA(2:6));save(''navesf_dat'',''handles'',''-append'')');
handles.hLA(7) = uicontrol('Style', 'popup', 'String', 'E|W','Position', [x0+1.2*dx, y0-7.5*dy,0.5*dx,dy],...
    'Callback','load(''navesf_dat'',''handles'');LA=cambiahemisferio(LA,handles.hLA(7));save(''navesf_dat'',''handles'',''-append'')');

    
handles.hR0(5)=uicontrol('Style', 'popup', 'String', 'grados| '' ''''', 'Tag', 'Rumbo',...
    'Position', [x0+2.5*dx, y0-dy,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');neuipopup(R0,handles.hR0(5:9),handles.hR0(2:4));save(''navesf_dat'',''handles'',''-append'');');
handles.hR0(2)=uicontrol('Style', 'popup', 'String', 'circular|cuadrantal', 'Tag', 'Rumbo',...
    'Position', [x0+2.5*dx, y0-2*dy,dx,dy], 'Callback',...
    'load(''navesf_dat'',''handles'');neuipopup(R0,handles.hR0(5:9),handles.hR0(2:4));save(''navesf_dat'',''handles'',''-append'');');
handles.hR0(3)=uicontrol('Style', 'popup', 'String', 'N|S','Enable', 'off', 'Tag', 'NS',...
    'Position', [x0+2*dx, y0-3.5*dy,0.5*dx,dy], 'Callback',...
    'load(''navesf_dat'',''handles'');R0=cambiacuadrante(R0,handles.hR0(3:4));save(''navesf_dat'',''handles'',''-append'');');
handles.hR0(4)=uicontrol('Style', 'popup', 'String', 'E|W','Enable', 'off', 'Tag', 'EW',...
    'Position', [x0+3.7*dx, y0-3.5*dy,0.5*dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');R0=cambiacuadrante(R0,handles.hR0(3:4));save(''navesf_dat'',''handles'',''-append'');');


handles.hvel(2)=uicontrol('Style', 'popup', 'String', 'Nudos|Km/h', 'Tag', 'Velocidad',...
    'Position', [x0+4.5*dx, y0-11*dy,dx,dy], 'Callback',...
    'load(''navesf_dat'',''handles'');neuipopup(vel,handles.hvel(2:3));save(''navesf_dat'',''handles'',''-append'')');


handles.hdist(2)=uicontrol('Style', 'popup', 'String', 'millas|kilmetros', 'Tag', 'Distancia',...
    'Position', [x0+4.5*dx, y0-dy,dx,dy], 'Callback',...
    'load(''navesf_dat'',''handles'');neuipopup(dist,handles.hdist(2:3));save(''navesf_dat'',''handles'',''-append'')');


handles.hRf(5)=uicontrol('Style', 'popup', 'String', 'grados| '' ''''', 'Tag', 'Rumbo',...
    'Position', [x0+6.5*dx, y0-dy,dx,dy], 'Callback',...
    'load(''navesf_dat'',''handles'');neuipopup(Rf,handles.hRf(5:9),handles.hRf(2:4));save(''navesf_dat'',''handles'',''-append'')');
handles.hRf(2)=uicontrol('Style', 'popup', 'String', 'circular|cuadrantal','Tag', 'Rumbo',...
    'Position', [x0+6.5*dx, y0-2*dy,dx,dy], 'Callback',...
    'load(''navesf_dat'',''handles'');neuipopup(Rf,handles.hRf(5:9),handles.hRf(2:4));save(''navesf_dat'',''handles'',''-append'')');
handles.hRf(3)=uicontrol('Style', 'popup', 'String', 'N|S','Enable', 'off' , 'Tag', 'NS',...
    'Position', [x0+6*dx, y0-3.5*dy,0.5*dx,dy], 'Callback',...
    'load(''navesf_dat'',''handles'');Rf=cambiacuadrante(Rf,handles.hRf(3:4));save(''navesf_dat'',''handles'',''-append'');');
handles.hRf(4)=uicontrol('Style', 'popup', 'String', 'E|W','Enable', 'off' , 'Tag', 'EW',...
    'Position', [x0+7.7*dx, y0-3.5*dy,0.5*dx,dy], 'Callback',...
    'load(''navesf_dat'',''handles'');Rf=cambiacuadrante(Rf,handles.hRf(3:4));save(''navesf_dat'',''handles'',''-append'');');


handles.hlB(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''','Position', [x0+8.5*dx, y0-dy,dx,dy],...
    'Callback','load(''navesf_dat'',''handles'');neuipopup(abs(lB),handles.hlB(2:6))');
handles.hlB(7) = uicontrol('Style', 'popup', 'String', 'N|S','Position', [x0+9.7*dx, y0-2.5*dy,0.5*dx,dy],...
    'Callback','load(''navesf_dat'',''handles'');lB=cambiahemisferio(lB,handles.hlB(7));save(''navesf_dat'',''handles'',''-append'')');

   
handles.hLB(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''','Position', [x0+8.5*dx, y0-6*dy,dx,dy],...
    'Callback','load(''navesf_dat'',''handles'');neuipopup(abs(LB),handles.hLB(2:6));save(''navesf_dat'',''handles'',''-append'')');
handles.hLB(7) = uicontrol('Style', 'popup', 'String', 'E|W','Position', [x0+9.7*dx, y0-7.5*dy,0.5*dx,dy],...
    'Callback','load(''navesf_dat'',''handles'');LB=cambiahemisferio(LB,handles.hLB(7));save(''navesf_dat'',''handles'',''-append'')');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Casillas de datos

handles.hlA(3)=uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'gradodec',...
    'Position', [x0, y0-3*dy,dx,2*dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');lA=neuileelat(lA, handles.hlA(3),handles.hlA(3:6),handles.hlA(7));save(''navesf_dat'',''handles'',''-append'')');
handles.hlA(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0, y0-2.5*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');lA=neuileelat(lA, handles.hlA(4),handles.hlA(3:6),handles.hlA(7));neuiescribelatlon(lA,handles.hlA);save(''navesf_dat'',''handles'',''-append'')');
handles.hlA(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+dx/3, y0-2.5*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');lA=neuileelat(lA, handles.hlA(5),handles.hlA(3:6),handles.hlA(7));neuiescribelatlon(lA,handles.hlA);save(''navesf_dat'',''handles'',''-append'')');
handles.hlA(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+2*dx/3, y0-2.5*dy,0.5*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');lA=neuileelat(lA, handles.hlA(6),handles.hlA(3:6),handles.hlA(7));neuiescribelatlon(lA,handles.hlA);save(''navesf_dat'',''handles'',''-append'')');

handles.hLA(3)=uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'gradodec',...
    'Position', [x0, y0-8*dy,dx,2*dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');LA=neuileelon(LA,handles.hLA(3),handles.hLA(3:6),handles.hLA(7));save(''navesf_dat'',''handles'',''-append'')');
handles.hLA(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0, y0-7.5*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');LA=neuileelon(LA,handles.hLA(4),handles.hLA(3:6),handles.hLA(7));neuiescribelatlon(LA,handles.hLA);save(''navesf_dat'',''handles'',''-append'')');
handles.hLA(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+dx/3, y0-7.5*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');LA=neuileelon(LA,handles.hLA(5),handles.hLA(3:6),handles.hLA(7));neuiescribelatlon(LA,handles.hLA);save(''navesf_dat'',''handles'',''-append'')');
handles.hLA(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+2*dx/3, y0-7.5*dy,0.5*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');LA=neuileelon(LA,handles.hLA(6),handles.hLA(3:6),handles.hLA(7));neuiescribelatlon(LA,handles.hLA);save(''navesf_dat'',''handles'',''-append'')');

handles.hR0(6)=uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'gradodec',...
    'Position', [x0+2.5*dx, y0-4*dy,dx,2*dy], 'String', '0',...
    'Callback', 'load(''navesf_dat'',''handles'');R0=neuileerumbo(R0,handles.hR0(6),handles.hR0(6:9),handles.hR0(2:4));save(''navesf_dat'',''handles'',''-append'')');
handles.hR0(7) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+2.5*dx, y0-3.5*dy,0.3*dx,dy], 'String', '0',...
    'Callback', 'load(''navesf_dat'',''handles'');R0=neuileerumbo(R0,handles.hR0(7),handles.hR0(6:9),handles.hR0(2:4));neuiescriberumbo(R0,handles.hR0);save(''navesf_dat'',''handles'',''-append'')');
handles.hR0(8) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+2.833*dx, y0-3.5*dy,0.3*dx,dy], 'String', '0',...
    'Callback', 'load(''navesf_dat'',''handles'');R0=neuileerumbo(R0,handles.hR0(8),handles.hR0(6:9),handles.hR0(2:4));neuiescriberumbo(R0,handles.hR0);save(''navesf_dat'',''handles'',''-append'')');
handles.hR0(9) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+3.166*dx, y0-3.5*dy,0.5*dx,dy], 'String', '0',...
    'Callback', 'load(''navesf_dat'',''handles'');R0=neuileerumbo(R0,handles.hR0(9),handles.hR0(6:9),handles.hR0(2:4));neuiescriberumbo(R0,handles.hR0);save(''navesf_dat'',''handles'',''-append'')');

handles.hdist(3)=uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'Distancia',...
    'Position', [x0+4.5*dx y0-3*dy,dx,2*dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');dist=neuileer(dist,handles.hdist(3),handles.hdist(2));save(''navesf_dat'',''handles'',''-append'')');

handles.hvel(3)=uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'Velocidad',...
    'Position', [x0+4.5*dx y0-13*dy,dx,2*dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');vel=neuileer(vel,handles.hvel(3),handles.hvel(2));save(''navesf_dat'',''handles'',''-append'')');

handles.hRf(6)=uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'gradodec',...
    'Position', [x0+6.5*dx, y0-4*dy,dx,2*dy], 'String', '0',...
    'Callback', 'load(''navesf_dat'',''handles'');Rf=neuileerumbo(Rf,handles.hRf(6),handles.hRf(6:9),handles.hRf(2:4));save(''navesf_dat'',''handles'',''-append'')');
handles.hRf(7) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+6.5*dx, y0-3.5*dy,0.3*dx,dy], 'String', '0',...
    'Callback', 'load(''navesf_dat'',''handles'');Rf=neuileerumbo(Rf,handles.hRf(7),handles.hRf(6:9),handles.hRf(2:4));neuiescriberumbo(Rf,handles.hRf);save(''navesf_dat'',''handles'',''-append'')');
handles.hRf(8) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+6.833*dx, y0-3.5*dy,0.3*dx,dy], 'String', '0',...
    'Callback', 'load(''navesf_dat'',''handles'');Rf=neuileerumbo(Rf,handles.hRf(8),handles.hRf(6:9),handles.hRf(2:4));neuiescriberumbo(Rf,handles.hRf);save(''navesf_dat'',''handles'',''-append'')');
handles.hRf(9) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+7.166*dx, y0-3.5*dy,0.5*dx,dy], 'String', '0',...
    'Callback', 'load(''navesf_dat'',''handles'');Rf=neuileerumbo(Rf,handles.hRf(9),handles.hRf(6:9),handles.hRf(2:4));neuiescriberumbo(Rf,handles.hRf);save(''navesf_dat'',''handles'',''-append'')');

handles.hlB(3)=uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'gradodec',...
    'Position', [x0+8.5*dx, y0-3*dy,dx,2*dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');lB=neuileelat(lB,handles.hlB(3),handles.hlB(3:6),handles.hlB(7));save(''navesf_dat'',''handles'',''-append'')');
handles.hlB(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+8.5*dx, y0-2.5*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');lB=neuileelat(lB,handles.hlB(4),handles.hlB(3:6),handles.hlB(7));neuiescribelatlon(lB,handles.hlB);save(''navesf_dat'',''handles'',''-append'')');
handles.hlB(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+8.833*dx, y0-2.5*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');lB=neuileelat(lB,handles.hlB(5),handles.hlB(3:6),handles.hlB(7));neuiescribelatlon(lB,handles.hlB);save(''navesf_dat'',''handles'',''-append'')');
handles.hlB(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+9.166*dx, y0-2.5*dy,0.5*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');lB=neuileelat(lB,handles.hlB(6),handles.hlB(3:6),handles.hlB(7));neuiescribelatlon(lB,handles.hlB);save(''navesf_dat'',''handles'',''-append'')');

handles.hLB(3)=uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'gradodec',...
    'Position', [x0+8.5*dx, y0-8*dy,dx,2*dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');LB=neuileelon(LB,handles.hLB(3),handles.hLB(3:6),handles.hLB(7));save(''navesf_dat'',''handles'',''-append'')');
handles.hLB(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+8.5*dx, y0-7.5*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');LB=neuileelon(LB,handles.hLB(4),handles.hLB(3:6),handles.hLB(7));neuiescribelatlon(LB,handles.hLB);save(''navesf_dat'',''handles'',''-append'')');
handles.hLB(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+8.833*dx, y0-7.5*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');LB=neuileelon(LB,handles.hLB(5),handles.hLB(3:6),handles.hLB(7));neuiescribelatlon(LB,handles.hLB);save(''navesf_dat'',''handles'',''-append'')');
handles.hLB(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+9.166*dx, y0-7.5*dy,0.5*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');LB=neuileelon(LB,handles.hLB(6),handles.hLB(3:6),handles.hLB(7));neuiescribelatlon(LB,handles.hLB);save(''navesf_dat'',''handles'',''-append'')');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Casillas de tiempo en das horas minutos
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% y segundos

handles.htemp(2)=uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'on', 'Tag', 'dia',...
    'Position', [x0+4*dx, y0-7*dy,0.3*dx,2*dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');temp=neuileer(temp,handles.htemp(2));neuiescribir(temp,handles.htemp,handles.herr(1));save(''navesf_dat'',''handles'',''-append'')');
handles.htemp(3)=uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'on', 'Tag', 'hora',...
    'Position', [x0+4.333*dx, y0-7*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');temp=neuileer(temp,handles.htemp(3));neuiescribir(temp,handles.htemp,handles.herr(1));save(''navesf_dat'',''handles'',''-append'')');
handles.htemp(4)=uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'on', 'Tag', 'minutot',...
    'Position', [x0+4.666*dx, y0-7*dy,0.3*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');temp=neuileer(temp,handles.htemp(4));neuiescribir(temp,handles.htemp,handles.herr(1));save(''navesf_dat'',''handles'',''-append'')');
handles.htemp(5)=uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'on', 'Tag', 'segundot',...
    'Position', [x0+5*dx, y0-7*dy,0.5*dx,dy], 'String', '0', 'Callback',...
    'load(''navesf_dat'',''handles'');temp=neuileer(temp,handles.htemp(5));neuiescribir(temp,handles.htemp,handles.herr(1));save(''navesf_dat'',''handles'',''-append'')');

uicontrol('Style','text','Position',[x0+4*dx, y0-8.2*dy,1.5*dx,0.8*dy],'String','Das   horas   min.       seg.   ')

%%%%%%%%%%%%%%%%%%%%Resolver, Restaurar, Informacin, Grfica, Salir,
%%%%%%%%%%%%%%%%%%%%Continuar

handles.hresolver=uicontrol('Style', 'pushbutton', 'String', 'Resolver',...
    'Position', [x0 y0-20*dy dx 3.5*dy],'Callback', ...
    'load(''navesf_dat'',''handles'');necasos(handles.hlA,handles.hLA,handles.hlB,handles.hLB,handles.hR0,handles.hRf,handles.hdist,handles.hvel,handles.htemp,handles.herr(1),handles.hgrf(1),handles.hcont(1));save(''navesf_dat'',''handles'',''-append'');');

uicontrol('Style', 'pushbutton', 'String', 'Restaurar',...
    'Position', [x0 y0-25*dy dx 3.5*dy],'Callback', ...
    'load(''navesf_dat'',''handles'');neuirestaurar(handles.hlA,handles.hLA,handles.hlB,handles.hLB,handles.hR0,handles.hRf,handles.hdist,handles.hvel,handles.htemp,handles.herr(1),handles.hcont(1));save(''navesf_dat'',''handles'',''-append'');');

uicontrol('Style', 'text', 'String','Informacin', 'Position', [x0+2*dx, y0-17.2*dy,6*dx,0.5*dy]);
handles.herr(1)=uicontrol('Style', 'text', 'String',' ', 'Position', [x0+2*dx, y0-20*dy,6*dx,2.5*dy]);

handles.hgrf(1)=uicontrol('Style', 'checkbox', 'String','Aadir grfico', 'Position', [x0+8.5*dx, y0-20*dy,dx,dy],'Callback',...
    'load(''navesf_dat'',''handles'');save(''navesf_dat'',''handles'',''-append'')');


handles.hsalir=uicontrol( 'Style','pushbutton','String','Salir', ...
      'Position',[x0+4.5*dx y0-25*dy dx 2*dy], 'Callback','uiresume;close(gcf)', ...
      'Tag','exit');
handles.hcont(1)=uicontrol( 'Style','pushbutton','Visible', 'off','String','Ver segunda solucin', ...
      'Position',[x0+4.25*dx y0-20*dy 1.5*dx 2*dy],...
      'Callback','load(''navesf_dat'',''handles'');segundasol(handles.hlA,handles.hLA,handles.hlB,handles.hLB,handles.hR0,handles.hRf,handles.hdist,handles.hvel,handles.htemp,handles.herr(1),handles.hgrf(1),handles.hcont(1));save(''navesf_dat'',''handles'',''-append'');');
  

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  SALVAR LA
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  ESTRUCTURA DE
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  HANDLES
  
save ('navesf_dat','handles')


