function necasos(hlA,hLA,hlB,hLB,hR0,hRf,hdist,hvel,htemp,herr,hgrafico,hcont)
         
global lA LA lB LB R0 Rf dist vel temp %datos e incgnitas
global lA2 LA2 lB2 LB2 R02 Rf2 dist2 vel2 temp2 %datos e incgnitas

%R0,Rf en circular (radianes)
%dist en millas
%vel en nudos
%temp en horas

rad=pi/180;
set(hcont,'Visible','off')

%%%%%%%%%%%%%%%%%%%%%%%%%%% CONTROL DE IMPOSIBILIDADES%%%%%%%%%%%%

if (get(hvel(1),'Value') && get(htemp(1),'Value') && get(hdist(1),'Value'))
        set(herr,'String','Problema sobredeterminado. Tiempo, velocidad o distancia han de ser incgnitas')
        return
end

if (get(hdist(1),'Value') && dist<=0)
     set(herr,'String','La distancia debe ser positiva')
     return
elseif (get(hdist(1),'Value') && dist>=10800)
     set(herr,'String','La distancia debe ser inferior a 10800 M')
     return
elseif (get(hvel(1),'Value') && vel<=0)
     set(herr,'String','La velocidad debe ser positiva')
     return
elseif (get(htemp(1),'Value') && temp<=0)
     set(herr,'String','El tiempo debe ser positivo')
     return
end



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Se conoce punto de partida A, rumbo inicial R0 y distancia

if (get(hlA(1),'Value')&& get(hLA(1),'Value') && get(hR0(1),'Value') && ...
        (get(hdist(1),'Value') || (get(hvel(1),'Value') &&get(htemp(1),'Value') )) )
%CASO lA LA R0 d --->a b C
    
    if (get(hlB(1),'Value') || get(hRf(1),'Value') || get(hLB(1),'Value'))
        set(herr,'String','Problema sobredeterminado.')
        return
    end


    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)

    if (get(hvel(1),'Value') &&get(htemp(1),'Value') && get(hdist(1),'Value')==0)
        dist=temp*vel;
        neuiescribir(dist,hdist,herr)%escribe dist
        
    elseif (get(hvel(1),'Value'))
        temp=dist/vel;
        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))
        vel=dist/temp;
        neuiescribir(vel,hvel,herr)%escribe velocidad
    end
    

    c=dist/60*rad;

    if (R0==0 || R0==2*pi)
        lB=lA+c;
        LB=LA;
        Rf=0;
        if (lB>pi/2)
            lB=pi-lB;
            LB=-(pi-abs(LA))*LA/abs(LA);
            Rf=pi;
        end            
    elseif (R0==pi)
        lB=lA-c;
        LB=LA;
        Rf=pi;
        if (lB<-pi/2)
            lB=-(pi/2-abs(lB+pi/2));
            LB=-(pi-abs(LA))*LA/abs(LA);
            Rf=0;
        end
    else 
            
    
        if (R0<pi)% NorEste o SurEste
            A=R0;
        elseif (R0>pi)
            A=2*pi-R0;
        end
    
        %CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        [vale,a,B,C]=caso3(b,c,A);
    
        %SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
        lB=pi/2-a; %negativo si c>pi/2 (i.e. latitud Sur)


        if (R0<pi)
            DL=C; %hacia el este
        elseif (R0>pi)
            DL=-C; %hacia el oeste
        else %hacia el Norte o Sur
            DL=0;
        end

        LB=LA+DL;
        if (LB>pi)
            LB=-(2*pi-LB);
        elseif (LB<-pi)
            LB=2*pi+LB;
        end

        if (R0<pi)
            Rf=pi-B;
        elseif (R0>pi)
            Rf=pi+B;
        elseif (R0==0)
            Rf=0;
        elseif (R0==pi)
            Rf=pi;
        else
            fprintf(1,'error');
        end
    
    end

    neuiescribelatlon(lB,hlB)%escribe lB

    neuiescribelatlon(LB,hLB)%escribe LB
    
    neuiescriberumbo(Rf,hRf)%escribe Rf

    set(herr,'string','Resuelto.')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 2 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Se conocen los puntos inicial y final A y B

elseif (get(hlA(1),'Value')&& get(hLA(1),'Value') && get(hlB(1),'Value')&& get(hLB(1),'Value'))
%CASO lA LA lB LB --->a b C
    
    if (get(hR0(1),'Value') || get(hRf(1),'Value') || get(hdist(1),'Value') || (get(hvel(1),'Value')&&get(htemp(1),'Value')))
        set(herr,'String','Problema sobredeterminado.')
        return
    end


    b=pi/2-lA; %negativo si a>pi/2 (i.e. latitud Sur)
    
    a=pi/2-lB; %negativo si a>pi/2 (i.e. latitud Sur)
    
    DL=LB-LA; % (incremento de longitud)
    Dl=lB-lA; %incremento de latitud
    
    C=min(abs(DL),2*pi-abs(DL)); 
        
    %CALCULO%%%%%%%%%%%%%%%%%%%%%%
    [vale,c,B,A]=caso3(b,a,C);
    
    %SOLUCION%%%%%%%%%%%%%%%%%%%%
    
    dist=c/rad*60;
    
    neuiescribir(dist,hdist,herr)
    
    if (get(hvel(1),'Value'))
        temp=dist/vel;
        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))
        vel=dist/temp;
        neuiescribir(vel,hvel,herr)%escribe velocidad
    end
    
    if (  ((DL>0)&& (abs(DL)<pi)) || ((DL<0)&& (abs(DL)>pi))  )% rumbo Este
        R0=A;
    elseif (DL==0 && Dl>0)
        R0=0;
    elseif (DL==0 && Dl<0)
        R0=pi;
    elseif (  ((DL>0)&& (abs(DL)>pi)) || ((DL<0)&& (abs(DL)<pi))  )% rumbo Oeste
        R0=2*pi-A;
    else
%        DL
%        A
        set (herr,'String','error')
        fprintf(1,'error');
        return
    end
    neuiescriberumbo(R0,hR0)%escribe R0
    
    if (R0<pi)
        Rf=pi-B;
    elseif (R0>pi)
        Rf=pi+B;
    elseif (R0==0)
        Rf=0;
    elseif (R0==pi)
        Rf=pi;
    else
        set (herr,'error')
        fprintf(1,'error');
        return
    end
    
    neuiescriberumbo(Rf,hRf)%escribe Rf

    set(herr,'string','Resuelto.')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 3 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Se conocen los rumbos inicial y final R0 y Rf, la distancia y la longitud
% inicial

elseif (get(hR0(1),'Value')&& get(hRf(1),'Value') && get(hLA(1),'Value'))&& ...
        (get(hdist(1),'Value') || (get(hvel(1),'Value') &&get(htemp(1),'Value') ))
%CASO R0,Rf,dist,LA --->A B c

    if (get(hlB(1),'Value') || get(hlA(1),'Value') || get(hLB(1),'Value') )
        set(herr,'String','Problema sobredeterminado.')
        return
    end

    if (R0==0||R0==pi)&&(Rf~=0)&&(Rf~=pi)
        set(herr,'string','Caso imposible')
        return
    elseif (Rf==0||Rf==pi)&&(R0~=0)&&(R0~=pi)
        set(herr,'string','Caso imposible')
        return
    elseif (R0==0||R0==pi)&&(Rf==0||Rf==pi)
        set(herr,'string','Caso indeterminado')
        return
    end
    
    if (R0<pi)
            A=R0;
    elseif (R0>pi)
            A=2*pi-R0;
    else
            fprintf(1,'error');
    end
    
    
    if (Rf<pi)
            B=pi-Rf;
    elseif (Rf>pi)
            B=Rf-pi;
    else
            fprintf(1,'error');
    end
       

    if (get(hvel(1),'Value') &&get(htemp(1),'Value') && get(hdist(1),'Value')==0)
        dist=temp*vel;
        neuiescribir(dist,hdist,herr)%escribe dist
        
    elseif (get(hvel(1),'Value'))
        temp=dist/vel;
        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))
        vel=dist/temp;
        neuiescribir(vel,hvel,herr)%escribe velocidad
    end
    

    c=dist/60*rad;
        
    %CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [vale,a,b,C]=caso4(c, A, B);
    
    %SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
           
    lA=pi/2-b; %negativo si a>pi/2 (i.e. latitud Sur)
    lB=pi/2-a; %negativo si b>pi/2 (i.e. latitud Sur)
    
    if (R0==0 || R0==pi|| R0==2*pi)
        LB=LA;
    else 
            
        if (R0<pi)
            DL=C; %hacia el este
        elseif (R0>pi)
            DL=-C; %hacia el oeste
        else %hacia el Norte o Sur
            DL=0;
        end

        LB=LA+DL;
        if (LB>pi)
            LB=-(2*pi-LB);
        elseif (LB<-pi)
            LB=2*pi+LB;
        end
    
    end

    neuiescribelatlon(lB,hlB)%escribe lB

    neuiescribelatlon(LB,hLB)%escribe LB
    
    neuiescribelatlon(lA,hlA)%escribe lA

    set(herr,'string','Resuelto. Una nica solucin.')
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 4 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Corte con un paralelo (p.ej. Ecuador). Se conoce punto de partida A y rumbo inicial R0.

elseif (get(hlA(1),'Value')&& get(hLA(1),'Value') && get(hR0(1),'Value')&& get(hlB(1),'Value'))
%CASO lA LA R0 lB --->a C c
    
    if (get(hdist(1),'Value') ||get(hRf(1),'Value') || get(hLB(1),'Value') || (get(hvel(1),'Value') &&get(htemp(1),'Value') ))
        set(herr,'String','Problema sobredeterminado.')
        return
    end


    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)
    a=pi/2-lB; %

    if (R0==0 || R0==2*pi || R0==pi)
        set(herr,'String','Caso an no contemplado.')
        return
    else 
            
    
        if (R0<pi)% NorEste o SurEste
            A=R0;
        elseif (R0>pi)
            A=2*pi-R0;
        end
    
        %CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        [vale,c,B,C,c2,B2,C2]=caso5nowrite(a, b, A);
        if (vale<=0)
            set(herr,'String','No hay solucin posible')
            return
        end
                     
    end

%%%%%%%SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if (vale==2)
            [LB2,Rf2,dist2,vel2,temp2]=necaso4(LA,lB,R0,vel,temp,c2,B2,C2,hvel,htemp,herr);
            LA2=LA;lA2=lA;R02=R0;lB2=lB;
            set(herr,'string','Resuelto. Caso con dos soluciones posibles.')
            set(hcont,'Visible','on')
    elseif (vale==1)
            set(herr,'string','Resuelto.')  
    else
            set(herr,'string','Error.')
    end
    
    [LB,Rf,dist,vel,temp]=necaso4(LA,lB,R0,vel,temp,c,B,C,hvel,htemp,herr);
    neuiescribir(dist,hdist,herr)%escribe dist
    neuiescribir(temp,htemp,herr)%escribe temp
    neuiescribir(vel,hvel,herr)%escribe velocidad
    neuiescribelatlon(LB,hLB)%escribe LB
    neuiescriberumbo(Rf,hRf)%escribe Rf
      
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 5 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Corte con un meridiano dado. Se conoce punto de partida A, rumbo inicial R0 y longitud de B.

elseif (get(hlA(1),'Value')&& get(hLA(1),'Value') && get(hR0(1),'Value')&& get(hLB(1),'Value'))
%CASO lA LA R0 LB --->b C A
    
    if (get(hdist(1),'Value') ||get(hRf(1),'Value') || get(hlB(1),'Value') || (get(hvel(1),'Value') &&get(htemp(1),'Value') ))
        set(herr,'String','Problema sobredeterminado.')
        return
    end


    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)
    
    DL=LB-LA; % (incremento de longitud)
    
    
    if (R0<pi && (DL>=pi || (DL>=-pi && DL<0))) || (R0>pi && ((DL<pi && DL>0)|| DL<=-pi))
        %si R0<pi vamos hacia el este. slo es posible ir de A a B sin
        %pasarse de 180 si DL est en (-2pi,-pi)U(0,pi)
        %si R0>pi vamos hacia el oeste. slo es posible ir de A a B sin
        %pasarse de 180 si DL est en (-pi,0)U(pi,2pi)
        
        set(herr,'String','No se puede hacer con trigonometra esfrica.')
        return
    else        
        C=min(abs(DL),2*pi-abs(DL)); 
    end
    
    
    
    if (R0==0 || R0==2*pi || R0==pi)
        set(herr,'String','Caso an no contemplado.')
        return
    else 
            
    
        if (R0<pi)% NorEste o SurEste
            A=R0;
        elseif (R0>pi)
            A=2*pi-R0;
        end
    
        %CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        [vale,a,c,B]=caso4(b, A, C);
    
        %SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        dist=c*60/rad;
        neuiescribir(dist,hdist,herr)%escribe dist
        
        if (get(hvel(1),'Value'))
            temp=dist/vel;
            neuiescribir(temp,htemp,herr)%escribe temp
        
        elseif (get(htemp(1),'Value'))
            vel=dist/temp;
            neuiescribir(vel,hvel,herr)%escribe velocidad
        end
        
        lB=pi/2-a;
        
        if (R0<pi)
            Rf=pi-B;
        elseif (R0>pi)
            Rf=pi+B;
        elseif (R0==0)
            Rf=0;
        elseif (R0==pi)
            Rf=pi;
        else
            fprintf(1,'error');
        end
    
    end
    
   
    neuiescribelatlon(lB,hlB)%escribe LB
    
    neuiescriberumbo(Rf,hRf)%escribe Rf

    set(herr,'string','Resuelto.')    
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 6 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Se conoce punto de partida A, la latitud de llegada y la distancia

elseif (get(hlA(1),'Value')&& get(hLA(1),'Value') && get(hlB(1),'Value') && ...
        (get(hdist(1),'Value') || (get(hvel(1),'Value') &&get(htemp(1),'Value') )) )
%CASO lA LA R0 d --->a b C
    
    if (get(hR0(1),'Value') || get(hRf(1),'Value') || get(hLB(1),'Value'))
        set(herr,'String','Problema sobredeterminado.')
        return
    end


    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)
    a=pi/2-lB;
    Dl=lB-lA;
    
    if (get(hvel(1),'Value') &&get(htemp(1),'Value') && get(hdist(1),'Value')==0)
        dist=temp*vel;
        neuiescribir(dist,hdist,herr)%escribe dist
        
    elseif (get(hvel(1),'Value'))
        temp=dist/vel;
        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))
        vel=dist/temp;
        neuiescribir(vel,hvel,herr)%escribe velocidad
    end
    
    c=dist/60*rad;
    

    %CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [vale,A,B,C]=caso1nowrite(a,b,c);
    
    %SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    DL=C;
    if (DL>0)% rumbo Este
        R0=A;
    elseif (DL==0 && Dl>0)
        R0=0;
    elseif (DL==0 && Dl<0)
        R0=pi;
    elseif (DL<0)
        R0=2*pi-A;
    else
        set (herr,'error')
        fprintf(1,'error');
        return
    end
    neuiescriberumbo(R0,hR0)%escribe R0
    
    if (R0<pi)
        Rf=pi-B;
    elseif (R0>pi)
        Rf=pi+B;
    elseif (R0==0)
        Rf=0;
    elseif (R0==pi)
        Rf=pi;
    else
        set (herr,'error')
        fprintf(1,'error');
        return
    end
    
    neuiescriberumbo(Rf,hRf)%escribe Rf

    LB=LA+DL;
    if (LB>pi)
        LB=-(2*pi-LB);
    elseif (LB<-pi)
        LB=2*pi+LB;
    end

    neuiescriberumbo(R0,hR0)%escribe R0

    neuiescribelatlon(LB,hLB)%escribe LB
    
    neuiescriberumbo(Rf,hRf)%escribe Rf

    set(herr,'string','Resuelto.')    

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 7 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Corte con un meridiano.  Se conoce punto de partida A,longitud de llegada LB y distancia a
%recorrer 'dist'

elseif (get(hlA(1),'Value')&& get(hLA(1),'Value') && (get(hdist(1),'Value')|| (get(hvel(1),'Value') &&get(htemp(1),'Value') ))&& get(hLB(1),'Value'))
%CASO lA LA dist LB --->b C c
    
    if (get(hR0(1),'Value') ||get(hRf(1),'Value') || get(hlB(1),'Value') )
        set(herr,'String','Problema sobredeterminado.')
        return
    end


    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)
    
    if (get(hvel(1),'Value') &&get(htemp(1),'Value') && get(hdist(1),'Value')==0)
        dist=temp*vel;
        neuiescribir(dist,hdist,herr)%escribe dist
        
    elseif (get(hvel(1),'Value'))
        temp=dist/vel;
        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))
        vel=dist/temp;
        neuiescribir(vel,hvel,herr)%escribe velocidad
    end
    
    c=dist/60*rad;

    DL=LB-LA; % (incremento de longitud)
       
    C=min(abs(DL),2*pi-abs(DL)); 
        
    
    %CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [vale,a,B,A,a2,B2,A2]=caso5nowrite(c, b, C);
    if (vale<=0)
        set(herr,'String','No hay solucin posible')
        return
    end

%%%%%%%SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if (vale==2)
            [lB2,R02,Rf2]=necaso7(LA,LB,a2,B2,A2,herr);
            vel2=vel;dist2=dist;temp2=temp;LB2=LB;LA2=LA;lA2=lA;
            set(herr,'string','Resuelto. Caso con dos soluciones posibles.')
            set(hcont,'Visible','on')
    elseif (vale==1)
            set(herr,'string','Resuelto.')  
    else
            set(herr,'string','Error.')
            return
    end
    
    [lB,R0,Rf]=necaso7(LA,LB,a,B,A,herr);
    
    neuiescribelatlon(lB,hlB)%escribe LB
    neuiescriberumbo(R0,hR0)%escribe Rf
    neuiescriberumbo(Rf,hRf)%escribe Rf

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 8 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Se conocen las longitudes LA, LB, y los rumbos R0, Rf

elseif (get(hR0(1),'Value')&& get(hLA(1),'Value') && get(hRf(1),'Value')&& get(hLB(1),'Value'))
%CASO R0 LA Rf LB --->A B C
    
    if (get(hlA(1),'Value') || get(hlB(1),'Value') || get(hdist(1),'Value') || (get(hvel(1),'Value')&&get(htemp(1),'Value')))
        set(herr,'String','Problema sobredeterminado.')
        return
    end

    if ((R0==0||R0==pi)&&(Rf~=0||Rf~=pi))
        set(herr,'string','Caso an no contemplado')
        return
    end
    
    
    if (R0<pi)
            A=R0;
    elseif (R0>pi)
            A=2*pi-R0;
    else
            fprintf(1,'error');
            set(herr,'string','Error.')
            return
    end
    
    if (Rf<pi)
            B=pi-Rf;
    elseif (Rf>pi)
            B=Rf-pi;
    else
            fprintf(1,'error');
            set(herr,'string','Error.')
            return
    end
       
    DL=LB-LA; % (incremento de longitud)
    
    C=min(abs(DL),2*pi-abs(DL)); 
 
    %CALCULO%%%%%%%%%%%%%%%%%%%%%%
    [vale,a,b,c]=caso2(A,B,C);
    if (vale==0)
        set(herr,'string','Error.')
        return
    end
    
    %SOLUCION%%%%%%%%%%%%%%%%%%%%
    
    dist=c/rad*60;
    
    neuiescribir(dist,hdist,herr)
    
    if (get(hvel(1),'Value'))
        temp=dist/vel;
        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))
        vel=dist/temp;
        neuiescribir(vel,hvel,herr)%escribe velocidad
    end
    
    lA=pi/2-b; %negativo si b>pi/2 (i.e. latitud Sur)
    lB=pi/2-a; %negativo si a>pi/2 (i.e. latitud Sur)
    
    neuiescribelatlon(lA,hlA)%escribe LA
    neuiescribelatlon(lB,hlB)%escribe LB
    

    set(herr,'string','Resuelto.')    
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 9 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Corte con un meridiano dado. Se conoce punto de partida A, rumbo final Rf y longitud de B.

elseif (get(hlA(1),'Value')&& get(hLA(1),'Value') && get(hRf(1),'Value')&& get(hLB(1),'Value'))
%CASO lA LA R0 LB --->b C A
    
    if (get(hdist(1),'Value') ||get(hR0(1),'Value') || get(hlB(1),'Value') || (get(hvel(1),'Value') &&get(htemp(1),'Value') ))
        set(herr,'String','Problema sobredeterminado.')
        return
    end

    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)
    
    DL=LB-LA; % (incremento de longitud)
    
    
    if (Rf<pi && (DL>=pi || (DL>=-pi && DL<0))) || (Rf>pi && ((DL<pi && DL>0)|| DL<=-pi))
        %si Rf<pi se viene del Oeste. slo es posible ir de A a B sin
        %pasarse de 180 si DL est en (-2pi,-pi)U(0,pi)
        %si Rf>pi se viene del Este. slo es posible ir de A a B sin
        %pasarse de 180 si DL est en (-pi,0)U(pi,2pi)
        
        set(herr,'String','No se puede hacer con trigonometra esfrica.')
        return
    else        
        C=min(abs(DL),2*pi-abs(DL)); 
    end
    
    
    
    if (Rf==0 || Rf==2*pi || Rf==pi)
        set(herr,'String','Caso an no contemplado.')
        return
    else 
            
    
    if (Rf<pi)
            B=pi-Rf;
    elseif (Rf>pi)
            B=Rf-pi;
    else
            fprintf(1,'error');
            set(herr,'string','Error.')
            return
    end
    
%%%%%%%%%%%%%%CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        [vale,a,c,A,a2,c2,A2]=caso6nowrite(b, C, B);
        if (vale<=0)
            set(herr,'String','No hay solucin posible')
            return
        end
                     
    end

%%%%%%%SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if (vale==2)
%Ejemplo: lA=30S, LA=150W, Rf=070, LB=50 (b=120,C=100, B=110)
            [lB2,R02,dist2,vel2,temp2]=necaso9(LA,lA,LB,vel,temp,a2,c2,A2,hvel,htemp,herr);
            LA2=LA;lA2=lA;Rf2=Rf;LB2=LB;
            set(herr,'string','Resuelto. Caso con dos soluciones posibles.')
            set(hcont,'Visible','on')
    elseif (vale==1)
            set(herr,'string','Resuelto.')  
    else
            set(herr,'string','Error.')
    end

    [lB,R0,dist,vel,temp]=necaso9(LA,lA,LB,vel,temp,a,c,A,hvel,htemp,herr);
    
    neuiescriberumbo(R0,hR0)%escribe R0
    neuiescribelatlon(lB,hlB)%escribe LB
    neuiescribir(dist,hdist,herr)%escribe dist
    
    if (get(hvel(1),'Value'))

        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))

        neuiescribir(vel,hvel,herr)%escribe velocidad
    end
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 10 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Se conoce punto de partida A, distancia y rumbo final Rf

elseif (get(hlA(1),'Value')&& get(hLA(1),'Value') && get(hRf(1),'Value') && (get(hdist(1),'Value')|| (get(hvel(1),'Value') &&get(htemp(1),'Value') )))
%CASO lA LA Rf d --->b B c
    
    if (get(hR0(1),'Value') || get(hlB(1),'Value') || get(hLB(1),'Value'))
        set(herr,'String','Problema sobredeterminado.')
        return
    end


    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)
    
    if (get(hvel(1),'Value') &&get(htemp(1),'Value') && get(hdist(1),'Value')==0)
        dist=temp*vel;
        neuiescribir(dist,hdist,herr)%escribe dist
        
    elseif (get(hvel(1),'Value'))
        temp=dist/vel;
        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))
        vel=dist/temp;
        neuiescribir(vel,hvel,herr)%escribe velocidad
    end
    
    c=dist/60*rad;
    
    
    if (Rf<pi)
            B=pi-Rf;
    elseif (Rf>pi)
            B=Rf-pi;
    else
            fprintf(1,'error');
            set(herr,'string','Error.')
            return
    end
    
%%%%%%%%%%%%%%CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        [vale,a,C,A,a2,C2,A2]=caso5nowrite(b,c,B);
        if (vale<=0)
            set(herr,'String','No hay solucin posible')
            return
        end
                     
 %   end

%%%%%%%SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if (vale==2)
            %Ejemplo: b=110,c=100, B=120 (lA=20S,LA=150W,Rf=60,d=6000
            [lB2,LB2,R02]=necaso10(LA,lA,Rf,a2,C2,A2,herr);
            LA2=LA;lA2=lA;Rf2=Rf;dist2=dist;temp2=temp;vel2=vel;
            set(herr,'string','Resuelto. Caso con dos soluciones posibles.')
            set(hcont,'Visible','on')

    elseif (vale==1)
            set(herr,'string','Resuelto.')  
    else
            set(herr,'string','Error.')
    end

    [lB,LB,R0]=necaso10(LA,lA,Rf,a,C,A,herr);
    
    neuiescriberumbo(R0,hR0)%escribe R0
    neuiescribelatlon(LB,hLB)%escribe LB
    neuiescribelatlon(lB,hlB)%escribe lB
    
%    set(herr,'string','Resuelto.')    

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 11 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Corte con un paralelo (p.ej. Ecuador). Se conoce punto de partida A y rumbo final Rf.

elseif (get(hlA(1),'Value')&& get(hLA(1),'Value') && get(hRf(1),'Value')&& get(hlB(1),'Value'))
%CASO lA LA Rf lB --->a b B
    
    if (get(hdist(1),'Value') ||get(hR0(1),'Value') || get(hLB(1),'Value') || (get(hvel(1),'Value') &&get(htemp(1),'Value') ))
        set(herr,'String','Problema sobredeterminado.')
        return
    end


    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)
    a=pi/2-lB; %

    if (Rf==0 || Rf==2*pi || Rf==pi)
        set(herr,'String','Caso an no contemplado.')
        return
    else 
            
    
        if (Rf<pi)
            B=pi-Rf;
        elseif (Rf>pi)
            B=Rf-pi;
        else
            fprintf(1,'error');
            set(herr,'string','Error.')
            return
        end
    
        %CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        [vale,c,A,C,c2,A2,C2]=caso5nowrite(b, a, B);
        if (vale<=0)
            set(herr,'String','No hay solucin posible')
            return
        end
                     
    end

%%%%%%%SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if (vale==2)
            [LB2,R02,dist2,vel2,temp2]=necaso5(LA,lB,Rf,vel,temp,c2,A2,C2,hvel,htemp,herr);
            LA2=LA;lA2=lA;Rf2=Rf;lB2=lB;
            set(herr,'string','Resuelto. Caso con dos soluciones posibles.')
            set(hcont,'Visible','on')
    elseif (vale==1)
            set(herr,'string','Resuelto.')  
    else
            set(herr,'string','Error.')
    end
    
    [LB,R0,dist,vel,temp]=necaso5(LA,lB,Rf,vel,temp,c,A,C,hvel,htemp,herr);
    neuiescribir(dist,hdist,herr)%escribe dist
    neuiescribir(temp,htemp,herr)%escribe temp
    neuiescribir(vel,hvel,herr)%escribe velocidad
    neuiescribelatlon(LB,hLB)%escribe LB
    neuiescriberumbo(R0,hR0)%escribe Rf
    
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CASO 12 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Se conocen el punto de partida (lA,LA) y los rumbos inicial y final R0 y Rf

elseif (get(hR0(1),'Value')&& get(hRf(1),'Value') && get(hLA(1),'Value') && get(hlA(1),'Value') )
%CASO R0,Rf,lA --->A B b

    if (get(hlB(1),'Value') || get(hLB(1),'Value') || get(hdist(1),'Value') || (get(hvel(1),'Value') && get(htemp(1),'Value')) )
        set(herr,'String','Problema sobredeterminado.')
        return
    end

    if (R0==0 || R0==pi)&&(Rf~=0)&&(Rf~=pi)
        set(herr,'string','Caso imposible')
        return
    elseif (Rf==0||Rf==pi)&&(R0~=0)&&(R0~=pi)
        set(herr,'string','Caso imposible')
        return
    elseif (R0==0||R0==pi)&&(Rf==0||Rf==pi)
        set(herr,'string','Caso indeterminado')
        return
    end
    
    if (R0<pi)
            A=R0;
    elseif (R0>pi)
            A=2*pi-R0;
    else
            fprintf(1,'error');
    end
    
    
    if (Rf<pi)
            B=pi-Rf;
    elseif (Rf>pi)
            B=Rf-pi;
    else
            fprintf(1,'error');
    end
       

    b=pi/2-lA; %negativo si b>pi/2 (i.e. latitud Sur)
        
%%%%%%%%%%%%%%CALCULO%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        [vale,c,a,C,c2,a2,C2]=caso6nowrite(b, A, B);
        if (vale<=0)
            set(herr,'String','No hay solucin posible')
            return
        end

%%%%%%%SOLUCION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if (vale==2)
            %Ejemplo: b=120, A=100, B=110
            [LB2,lB2,dist2,vel2,temp2]=necaso12(LA,R0,c2,a2,C2,vel,temp,hvel,htemp,herr);
            LA2=LA;lA2=lA;Rf2=Rf;R02=R0;
            set(herr,'string','Resuelto. Caso con dos soluciones posibles.')
            set(hcont,'Visible','on')
    elseif (vale==1)
            set(herr,'string','Resuelto.')  
    else
            set(herr,'string','Error.')
    end

    [LB,lB,dist,vel,temp]=necaso12(LA,R0,c,a,C,vel,temp,hvel,htemp,herr);
     
    if (get(hvel(1),'Value'))
%        temp=dist/vel;
        neuiescribir(temp,htemp,herr)%escribe temp
        
    elseif (get(htemp(1),'Value'))
 %       vel=dist/temp;
        neuiescribir(vel,hvel,herr)%escribe velocidad
    end

    neuiescribir(dist,hdist,herr)
      
    neuiescribelatlon(lB,hlB)%escribe lB

    neuiescribelatlon(LB,hLB)%escribe LB
    
%    set(herr,'string','Resuelto. Una nica solucin.')

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

else
        
fprintf(1,'error');
set(herr,'string','Caso an no contemplado')

end

%REPRESENTACIN DEL TRINGULO BASE
get(hgrafico,'Value')
%get(hgrafico,'String')
if (get(hgrafico,'Value'))
ortodromica(lA,LA,lB,LB,R0)
end



return