function [x,vale]=modificangulo(x,u,xtipo)

%modifica el valor de un ngulo u en funcin del dato x de tipo xtipo
%(grados, minutos o segundos)

%u: valor original del ngulo (en radianes)
%x: en entrada, valor de grado, minuto o segundo a modificar
%x: en salida, valor del ngulo una vez modificado (en grados)
%vale: informa si el dato x dato es incorrecto

rad=pi/180;
vale=1;
       
[ugrados,uminutos,usegundos]=sacagms(u);
    
u=u/rad;
        
if (strcmp(xtipo,'grado'))
    if (x<0)
        x=0;
        vale=-1;
    end
    x=(u-ugrados+x);
                       
elseif (strcmp(xtipo,'minuto'))
        
%    if (x>60)
%        x=60;
%        vale=-2;
%    elseif (x<0)
    if (x<0)
        x=0;
        vale=-1;
    end
        
    x=(u+(-uminutos+x)/60);
                        
elseif (strcmp(xtipo,'segundo'))
        
%    if (x>60)
%        x=60;
%        vale=-2
%    elseif (x<0)
    if (x<0)
        x=0;
        vale=-1;
    end

    x=(u+(-usegundos+x)/3600);
                
else
    fprintf(1,'error')
    x=0;
end

return