function x=neuileer(u,h,hpop)
%lee un dato x, del objeto con handle h, eventualmente en funcin de las unidades en hpop
%la velocidad se devuelve convertida a nudos, el tiempo a horas y la distancia a millas

format long

nargin;
   

rad=pi/180;
eps=1.e-6;

xtipo=get(h,'Tag');
xchar=get(h,'String');

if nargin>2
    xunidad=get(hpop,'Value');
end

if ((strcmp(xtipo,'Velocidad'))|(strcmp(xtipo,'Distancia')))
    if (xunidad==1)
        x=str2num(xchar);
    else
        x=str2num(xchar)/1.852;
    end
    
elseif ((strcmp(xtipo,'dia'))|(strcmp(xtipo,'hora'))|(strcmp(xtipo,'minutot'))|(strcmp(xtipo,'segundot')))
    
    [udias,uhoras,uminutos,usegundos]=sacadhms(u);
    
    
    if (strcmp(xtipo,'dia'))
        x=u+(-udias+str2num(xchar))*24;
    elseif (strcmp(xtipo,'hora'))
        xhor=str2num(xchar);
%        if (xhor>24)
%            xhor=24;
%            set(h,'String','24')
%        elseif (xhor<0)
        if (xhor<0)
            xhor=0;
            set(h,'String','0')
        end
        x=u-uhoras+xhor;
    elseif (strcmp(xtipo,'minutot'))
        xmin=str2num(xchar);
        if (xmin>60)
            xmin=60;
            set(h,'String','60')
        elseif (xmin<0)
            xmin=0;
            set(h,'String','0')
        end
        x=u+(-uminutos+xmin)/60;
    elseif (strcmp(xtipo,'segundot'))
        xseg=str2num(xchar);
        if (xseg>60)
            xseg=60;
            set(h,'String','60')
        elseif (xseg<0)
            xseg=0;
            set(h,'String','0')
        end

        x=u+(-usegundos+xseg)/3600;
    else
        fprintf(1,'error')
    end
    
else
    fprintf(1,'error')
    x=0;
end

return