function x=neuileerumbo(u,hpadre,h,hpopR)
%lee un rumbo (o una parte), del objeto con handle hpadre, en funcin de las
%selecciones en hpopR
%el dato, una vez ledo, se pasa a radianes

%u: valor en entrada del rumbo (en radianes y circular)
%hpadre: handle de la casilla de donde se est leyendo
%h: array de handles de las cuatro casillas de lectura para este rumbo
%hpopR: array de handles de las casillas de formato (circular/cuadrantal,N/S, E/W)
%x: valor del rumbo modificado (en radianes y circular)

format long

rad=pi/180;


xtipo=get(hpadre,'Tag');
xchar=get(hpadre,'String');
x=str2num(xchar);

xcircular=get(hpopR(1),'Value');
xNS=get(hpopR(2),'Value');
xEW=get(hpopR(3),'Value');

if (xcircular==2)
    u=cuadrantal(u);%convertir a cuadrantal
end

if (strcmp(xtipo,'gradodec'))%grados decimal
    if (x<0)
        x=0;
        set(hpadre,'String','0')
    end
    
else %grados minutos y segundos

    [x,vale]=modificangulo(x,u,xtipo);%modificar el ngulo u en funcin de x y xtipo
    if (vale==-1)
        set(hpadre,'String','0')
    elseif (vale==-2)
        set(hpadre,'String','60')
    end
end


x=uicircular(x,h,xcircular,xNS,xEW);%se pone en notacin circular

x=x*rad;

return