%function trigoesf

%---------------------------------------------
clear all
global a b c A B C %datos e incgnitas
global a2 b2 c2 A2 B2 C2
global nactivos %nmero de datos activos

%============ Figura ==================================
figNumber=figure( ...
      'Name','Trigo Esfrica', ...
      'Units','normalized', ...
      'Position',[0.2,0.2,0.5,0.5], ...
      'NumberTitle','off');
acerca={ 'Trigonometra esfrica',...
      'ngel Ars','2009 Corua (Spain)'};
uimenu('label','Acerca de ...','callback','helpdlg(acerca)');
set(gcf,'color',[0.8 0.8 0.8]);

dx=100; %parmetros de posicin
dy=20;
x0=20;
y0=500;

a=0;b=0;c=0;A=0;B=0;C=0; %datos del tringulo
a2=0;b2=0;c2=0;A2=0;B2=0;C2=0; %datos de la posible segunda solucin del tringulo

handles.ha=zeros(1,10);handles.hb=zeros(1,10);handles.hc=zeros(1,10);
handles.hA=zeros(1,10);handles.hB=zeros(1,10);handles.hC=zeros(1,10);%handles de las casillas

handles.herr=zeros(1,2);%increible tambin, hubo que hacer lo mismo para que escriba los cambios del string

nactivos=0; %nmero de datos activos

% handles del dato a: [cha,popa,ha,hagrad,hamin,haseg,ha2,hagrad2,hamin2,haseg2]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%Check Boxes

handles.ha(1)=uicontrol('Style', 'checkbox', 'String','a', 'Position', [x0, y0,dx,dy],'Callback',...
    'load(''trigoesf_dat'',''handles'');uienable(handles.ha(3:6));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hb(1)=uicontrol('Style', 'checkbox', 'String','b','Position', [x0+3*dx/2, y0,dx,dy],'Callback',...
    'load(''trigoesf_dat'',''handles'');uienable(handles.hb(3:6));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hc(1)=uicontrol('Style', 'checkbox', 'String','c','Position', [x0+3*dx, y0,dx,dy],'Callback',...
    'load(''trigoesf_dat'',''handles'');uienable(handles.hc(3:6));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hA(1)=uicontrol('Style', 'checkbox', 'String','A','Position', [x0+9*dx/2, y0,dx,dy],'Callback',...
    'load(''trigoesf_dat'',''handles'');uienable(handles.hA(3:6));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hB(1)=uicontrol('Style', 'checkbox', 'String','B','Position', [x0+6*dx, y0,dx,dy],'Callback',...
    'load(''trigoesf_dat'',''handles'');uienable(handles.hB(3:6));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hC(1)=uicontrol('Style', 'checkbox', 'String','C','Position', [x0+15*dx/2, y0,dx,dy],'Callback',...
    'load(''trigoesf_dat'',''handles'');uienable(handles.hC(3:6));save(''trigoesf_dat'',''handles'',''-append'')');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%Pop-ups

handles.ha(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''|radianes','Position', [x0, y0-dy,dx,0.9*dy],...
    'Callback','load(''trigoesf_dat'',''handles'');uipopup(a,a2,handles.ha(2:10));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hb(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''|radianes','Position', [x0+3*dx/2, y0-dy,dx,0.9*dy],...
    'Callback','load(''trigoesf_dat'',''handles'');uipopup(b,b2,handles.hb(2:10));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hc(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''|radianes','Position', [x0+3*dx, y0-dy,dx,0.9*dy],...
    'Callback','load(''trigoesf_dat'',''handles'');uipopup(c,c2,handles.hc(2:10));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hA(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''|radianes','Position', [x0+9*dx/2, y0-dy,dx,0.9*dy],...
    'Callback','load(''trigoesf_dat'',''handles'');uipopup(A,A2,handles.hA(2:10));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hB(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''|radianes','Position', [x0+6*dx, y0-dy,dx,0.9*dy],...
    'Callback','load(''trigoesf_dat'',''handles'');uipopup(B,B2,handles.hB(2:10));save(''trigoesf_dat'',''handles'',''-append'')');
handles.hC(2) = uicontrol('Style', 'popup', 'String', 'grados| '' ''''|radianes','Position', [x0+15*dx/2, y0-dy,dx,0.9*dy],...
    'Callback','load(''trigoesf_dat'',''handles'');uipopup(C,C2,handles.hC(2:10));save(''trigoesf_dat'',''handles'',''-append'')');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Casillas de datos

handles.ha(3) = uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'dato',...
    'Position', [x0, y0-5*dy,dx,3*dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');a=uileer(a,handles.ha(2:3));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hb(3) = uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'dato',...
    'Position', [x0+3*dx/2, y0-5*dy,dx,3*dy], 'String', 0, 'Callback', 'load(''trigoesf_dat'',''handles'');b=uileer(b,handles.hb(2:3));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hc(3) = uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'dato',...
    'Position', [x0+3*dx y0-5*dy,dx,3*dy], 'String', 0, 'Callback', 'load(''trigoesf_dat'',''handles'');c=uileer(c,handles.hc(2:3));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hA(3) = uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'dato',...
    'Position', [x0+9*dx/2, y0-5*dy,dx,3*dy], 'String', 0, 'Callback', 'load(''trigoesf_dat'',''handles'');A=uileer(A,handles.hA(2:3));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hB(3)= uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'dato',...
    'Position', [x0+6*dx, y0-5*dy,dx,3*dy], 'String', 0, 'Callback', 'load(''trigoesf_dat'',''handles'');B=uileer(B,handles.hB(2:3));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hC(3) = uicontrol('Style', 'edit', 'Enable', 'off', 'Tag', 'dato',...
    'Position', [x0+15*dx/2, y0-5*dy,dx,3*dy], 'String', 0, 'Callback', 'load(''trigoesf_dat'',''handles'');C=uileer(C,handles.hC(2:3));save(''trigoesf_dat'',''handles'',''-append'');');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Casillas de datos en grados minutos
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% y segundos

handles.ha(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');a=uileer(a,[handles.ha(2) handles.ha(4)]);uiescribir(a,handles.ha(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.ha(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+dx/3, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');a=uileer(a,[handles.ha(2) handles.ha(5)]);uiescribir(a,handles.ha(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.ha(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+2*dx/3, y0-4*dy,0.5*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');a=uileer(a,[handles.ha(2) handles.ha(6)]);uiescribir(a,handles.ha(2:10));save(''trigoesf_dat'',''handles'',''-append'');');

handles.hb(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+3*dx/2, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');b=uileer(b,[handles.hb(2) handles.hb(4)]);uiescribir(b,handles.hb(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hb(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+11*dx/6, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');b=uileer(b,[handles.hb(2) handles.hb(5)]);uiescribir(b,handles.hb(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hb(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+13*dx/6, y0-4*dy,0.5*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');b=uileer(b,[handles.hb(2) handles.hb(6)]);uiescribir(b,handles.hb(2:10));save(''trigoesf_dat'',''handles'',''-append'');');

handles.hc(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+3*dx, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');c=uileer(c,[handles.hc(2) handles.hc(4)]);uiescribir(c,handles.hc(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hc(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+10*dx/3, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');c=uileer(c,[handles.hc(2) handles.hc(5)]);uiescribir(c,handles.hc(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hc(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+11*dx/3, y0-4*dy,0.5*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');c=uileer(c,[handles.hc(2) handles.hc(6)]);uiescribir(c,handles.hc(2:10));save(''trigoesf_dat'',''handles'',''-append'');');


handles.hA(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+9*dx/2, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');A=uileer(A,[handles.hA(2) handles.hA(4)]);uiescribir(A,handles.hA(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hA(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+29*dx/6, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');A=uileer(A,[handles.hA(2) handles.hA(5)]);uiescribir(A,handles.hA(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hA(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+31*dx/6, y0-4*dy,0.5*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');A=uileer(A,[handles.hA(2) handles.hA(6)]);uiescribir(A,handles.hA(2:10));save(''trigoesf_dat'',''handles'',''-append'');');


handles.hB(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+6*dx, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');B=uileer(B,[handles.hB(2) handles.hB(4)]);uiescribir(B,handles.hB(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hB(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+19*dx/3, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');B=uileer(B,[handles.hB(2) handles.hB(5)]);uiescribir(B,handles.hB(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hB(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+20*dx/3, y0-4*dy,0.5*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');B=uileer(B,[handles.hB(2) handles.hB(6)]);uiescribir(B,handles.hB(2:10));save(''trigoesf_dat'',''handles'',''-append'');');


handles.hC(4) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'grado',...
    'Position', [x0+15*dx/2, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');C=uileer(C,[handles.hC(2) handles.hC(4)]);uiescribir(C,handles.hC(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hC(5) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'minuto',...
    'Position', [x0+47*dx/6, y0-4*dy,0.3*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');C=uileer(C,[handles.hC(2) handles.hC(5)]);uiescribir(C,handles.hC(2:10));save(''trigoesf_dat'',''handles'',''-append'');');
handles.hC(6) = uicontrol('Style', 'edit', 'Enable', 'off', 'Visible', 'off', 'Tag', 'segundo',...
    'Position', [x0+49*dx/6, y0-4*dy,0.5*dx,dy], 'String', '0', 'Callback', 'load(''trigoesf_dat'',''handles'');C=uileer(C,[handles.hC(2) handles.hC(6)]);uiescribir(C,handles.hC(2:10));save(''trigoesf_dat'',''handles'',''-append'');');


%%%Previstas para el caso de dos soluciones

handles.ha(7) = uicontrol('Style', 'text', 'Visible', 'off', 'Tag', 'ko',...
    'Position', [x0, y0-10*dy,dx,3*dy], 'String', ' ');
handles.hb(7) = uicontrol('Style', 'text', 'Visible', 'off', 'Tag', 'ko',...
    'Position', [x0+3*dx/2, y0-10*dy,dx,3*dy], 'String', ' ');
handles.hc(7) = uicontrol('Style', 'text', 'Visible', 'off', 'Tag', 'ko',...
    'Position', [x0+3*dx y0-10*dy,dx,3*dy], 'String', ' ');
handles.hA(7) = uicontrol('Style', 'text', 'Visible', 'off', 'Tag', 'ko',...
    'Position', [x0+9*dx/2, y0-10*dy,dx,3*dy], 'String', ' ');
handles.hB(7) = uicontrol('Style', 'text', 'Visible', 'off', 'Tag', 'ko',...
    'Position', [x0+6*dx, y0-10*dy,dx,3*dy], 'String', ' ');
handles.hC(7) = uicontrol('Style', 'text', 'Visible', 'off', 'Tag', 'ko',...
    'Position', [x0+15*dx/2, y0-10*dy,dx,3*dy], 'String', ' ');

handles.ha(8) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.ha(9) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+dx/3, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.ha(10) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+2*dx/3, y0-9*dy,0.5*dx,dy], 'String', ' ');

handles.hb(8) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+3*dx/2, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hb(9) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+11*dx/6, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hb(10) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+13*dx/6, y0-9*dy,0.5*dx,dy], 'String', ' ');

handles.hc(8) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+3*dx, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hc(9) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+10*dx/3, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hc(10) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+11*dx/3, y0-9*dy,0.5*dx,dy], 'String', ' ');


handles.hA(8) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+9*dx/2, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hA(9) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+29*dx/6, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hA(10) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+31*dx/6, y0-9*dy,0.5*dx,dy], 'String', ' ');


handles.hB(8) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+6*dx, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hB(9) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+19*dx/3, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hB(10) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+20*dx/3, y0-9*dy,0.5*dx,dy], 'String', ' ');


handles.hC(8) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+15*dx/2, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hC(9) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+47*dx/6, y0-9*dy,0.3*dx,dy], 'String', ' ');
handles.hC(10) = uicontrol('Style', 'text', 'Enable', 'off', 'Visible', 'off',  ...
    'Position', [x0+49*dx/6, y0-9*dy,0.5*dx,dy], 'String', ' ');




%%%%%%%%%%%%%%%%%%%%Resolver, Restaurar, Informacin

handles.hresolver=uicontrol('Style', 'pushbutton', 'String', 'Resolver',...
    'Position', [x0 y0-20*dy dx 3.5*dy],'Callback', ...
    'load(''trigoesf_dat'',''handles'');casos(handles.ha(2:10),handles.hb(2:10),handles.hc(2:10),handles.hA(2:10),handles.hB(2:10),handles.hC(2:10),handles.herr(1));save(''trigoesf_dat'',''handles'',''-append'')');

uicontrol('Style', 'pushbutton', 'String', 'Restaurar',...
    'Position', [x0 y0-25*dy dx 3.5*dy],'Callback', ...
    'load(''trigoesf_dat'',''handles'');uirestaurar(handles.ha,handles.hb,handles.hc,handles.hA,handles.hB,handles.hC,handles.herr(1));save(''trigoesf_dat'',''handles'',''-append'');');

uicontrol( 'Style','pushbutton','String','Salir', ...
      'Position',[x0+4*dx y0-25*dy dx 2*dy], 'Callback','uiresume;close(gcf)', ...
      'Tag','exit');

uicontrol('Style', 'text', 'String','Informacin', 'Position', [x0+1.5*dx, y0-17.2*dy,6*dx,0.5*dy]);
%handles.herr=uicontrol('Style', 'text', 'String', 'a', 'Position', [x0+1.5*dx, y0-20*dy,6*dx,2.5*dy]);
handles.herr(1) = uicontrol('Style', 'text', 'Enable', 'on', 'Tag', 'dato',...
    'Position', [x0+1.5*dx, y0-20*dy,6*dx,2.5*dy], 'Callback', 'load(''trigoesf_dat'',''handles'');save(''trigoesf_dat'',''handles'',''-append'');');


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  SALVAR LA
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  ESTRUCTURA DE
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  HANDLES
  
save ('trigoesf_dat','handles')

